org.apache.olingo.odata2.api.uri

## Class ExpandSelectTreeNode

- java.lang.Object
- - org.apache.olingo.odata2.api.uri.ExpandSelectTreeNode

-     public abstract class ExpandSelectTreeNode
      extends Object

  Expression tree node with information about selected properties and to be expanded links.
  Do not implement this interface or derive from class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` Builder interface

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpandSelectTreeNode()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` | `entitySet(EdmEntitySet entitySet)` Creates a builder instance and sets the entitySet for this node.
    `abstract List<ExpandSelectTreeNode>` | `getExpandedList()` A list of all expanded links within the parent entity.
    `abstract Map<String,ExpandSelectTreeNode>` | `getLinks()` Gets the links that have to be included or expanded.
    `abstract List<EdmProperty>` | `getProperties()` Gets the list of explicitly selected `properties`.
    `abstract boolean` | `isAll()` Determines whether all properties (including navigation properties) have been selected.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpandSelectTreeNode

          public ExpandSelectTreeNode()

  - ### Method Detail

    - #### isAll

          public abstract boolean isAll()

      Determines whether all properties (including navigation properties) have been selected.

    - #### getProperties

          public abstract List<EdmProperty> getProperties()

      Gets the list of explicitly selected `properties`.

      This list does not contain any navigation properties. It is empty if `isAll()` returns `true`.

      Returns:
        List of selected properties

    - #### getLinks

          public abstract Map<String,ExpandSelectTreeNode> getLinks()

      Gets the links that have to be included or expanded.
      Returns:
        a Map from EdmNavigationProperty Name to its related `ExpandSelectTreeNode`; if that node is `null`, a deferred link has been requested, otherwise the link must be expanded with information found in that node

    - #### getExpandedList

          public abstract List<ExpandSelectTreeNode> getExpandedList()

      A list of all expanded links within the parent entity.
      Returns:
        `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` for method chaining.

    - #### entitySet

          public static ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder entitySet(EdmEntitySet entitySet)

      Creates a builder instance and sets the entitySet for this node.
      Parameters:
        `entitySet` - on which this node is based
      Returns:
        `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` to build the node

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.